"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeAlphabetic = void 0;
const getSanitizerFn_js_1 = require("../utils/getSanitizerFn.js");
/**
 * Removes all non-alphabetic characters from `str`.
 *
 * > This function only permits [ASCII characters](https://www.asciitable.com/).
 */
exports.sanitizeAlphabetic = (0, getSanitizerFn_js_1.getSanitizerFn)(/[^a-zA-Z]/g);
