"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeEmail = void 0;
const getSanitizerFn_js_1 = require("../utils/getSanitizerFn.js");
/**
 * Removes all invalid email characters from `str` (see
 * [RFC 5322](https://datatracker.ietf.org/doc/html/rfc5322)).
 */
exports.sanitizeEmail = (0, getSanitizerFn_js_1.getSanitizerFn)(/[^a-zA-Z0-9_@.+-]/g);
