"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeID = void 0;
const getSanitizerFn_js_1 = require("../utils/getSanitizerFn.js");
/**
 * Removes non-alphanumeric characters from `str` which are not `#` or `-`.
 *
 * > Why those characters? This was designed with DynamoDB keys in mind.
 */
exports.sanitizeID = (0, getSanitizerFn_js_1.getSanitizerFn)(/[^a-zA-Z0-9#-]/g);
