"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidHandle = exports.HANDLE_VALIDATION_REGEX = void 0;
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
exports.HANDLE_VALIDATION_REGEX = /^@[a-zA-Z0-9_]{3,50}$/;
/**
 * Returns `true` if `value` is a valid social account handle (e.g., "@foo_user").
 */
exports.isValidHandle = (0, getValidatorFn_js_1.getValidatorFn)(exports.HANDLE_VALIDATION_REGEX);
