"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidID = exports.ID_VALIDATION_REGEX = void 0;
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
exports.ID_VALIDATION_REGEX = /^[a-zA-Z0-9#-]{6,250}$/;
/**
 * Returns `true` if `value` only contains alphanumeric characters, `#`, or `-`.
 */
exports.isValidID = (0, getValidatorFn_js_1.getValidatorFn)(exports.ID_VALIDATION_REGEX);
