"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidBase64 = exports.BASE64_VALIDATION_REGEX = void 0;
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
exports.BASE64_VALIDATION_REGEX = /^[a-zA-Z0-9+/]{2,}={0,3}$/;
/**
 * Returns `true` if `value` is a valid base64-encoded string.
 */
exports.isValidBase64 = (0, getValidatorFn_js_1.getValidatorFn)(exports.BASE64_VALIDATION_REGEX);
