"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidNumeric = exports.NUMERIC_VALIDATION_REGEX = void 0;
const ts_type_safety_utils_1 = require("@nerdware/ts-type-safety-utils");
const getValidatorFn_js_1 = require("../utils/getValidatorFn.js");
exports.NUMERIC_VALIDATION_REGEX = /^[0-9]+$/;
/**
 * Returns `true` if `value` only contains numbers.
 */
exports.isValidNumeric = (0, getValidatorFn_js_1.getValidatorFn)(exports.NUMERIC_VALIDATION_REGEX, (value) => (0, ts_type_safety_utils_1.isString)(value) || (0, ts_type_safety_utils_1.isSafeInteger)(value));
